.groups-list {
  ul {
    li {
      .group-main-tile {
        width: 90%;
        padding: 10px 20px 10px 20px;
        border-radius: 0 36px 36px 0;
        background-color: var(--secondary-color);
        color: var(--text-color-a);
        display: flex;
        align-items: center;
        margin-right: 10px;
        .group-icon {
          text-align: center;
          line-height: 36px;
          font-size: 18px;
          display: inline-block;
          color: var(--yellow);
          height: 40px;
          width: 40px;
          min-width: 40px;
          overflow: hidden;
          border: 3px solid var( --border-color);
          border-radius: 20px;
        }
        .group-info {
          display: inline-block;
          padding-left: 25px;
          width: 100%;
          div {
            &.group-name, &.group-words {
              max-width: calc(100% - 30px);
              white-space: nowrap;
              overflow: hidden;
              text-overflow: ellipsis;
            }
            &.group-words {
              color: var(--text-primar-color);
              font-size: 12px;
            }
          }
        }

        -webkit-transition: width 0.3s ease-out;
        -moz-transition: width 0.3s ease-out;
        -o-transition: width 0.3s ease-out;
        transition: width 0.3s ease-out;
      }
    }
  }
}

@media only screen and (max-width: 600px) {
  .groups-list {
    .groups-info {
      width: 82%;
      max-width: 82%;
      min-width: 82%;
    }
    ul {
      li {
        &.selected {
          .words-name, .words-group {
            max-width: 100% !important;
          }
          .main-tile {
            width: 50%;

            .words-favourite {
              opacity: 0;
              height: 0;
              width: 0;
              overflow: hidden;
            }
          }
          .secondary-tile {
            width: 37%;
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 330px) {
  .groups-list {
    .groups-info {
      width: calc(100% - 52px);
      max-width: calc(100% - 52px);
      min-width: calc(100% - 52px);
    }
  }
}

@media only screen and (min-width: 600px) {
  .groups-list {
    ul {
      li {
        &:hover {
          .groups-name {
            max-width: 100%;
          }
          .group-main-tile {
            width: 95%;
            // .words-favourite {
            //   opacity: 0;
            //   height: 0;
            //   width: 0;
            //   overflow: hidden;
            // }
          }
          .secondary-tile {
            width: 37%;
          }
        }
      }
    }
  }
}
